GET PreferenceDescriptionLine/{id}
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
GET /api/v1/PreferenceDescriptionLine/{id}
Gets a PreferenceDescriptionLine object.
Calls the Preference agent service GetPreferenceDescriptionLine. NsApiSlow threshold: 1000 ms.
| Path Part | Type | Description |
|---|---|---|
| id | int32 | The id of the PreferenceDescriptionLine to return. Required |
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category" Default = show all fields. |
GET /api/v1/PreferenceDescriptionLine/{id}?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
PreferenceDescriptionLine found.
| Response | Description |
|---|---|
| 200 | PreferenceDescriptionLine found. |
| 404 | Not Found. |
Response body: PreferenceDescriptionLineWithLinks
| Property Name | Type | Description |
|---|---|---|
| PrefDescLineId | int32 | Primary key |
| PrefDescId | int32 | Preference description (parent) |
| PrefValue | string | Possible value |
| PrefShowValue | string | Descriptive value, multilang-parsed, to put in list |
| Description | string | Description of preference value, multi-language parsed |
| IsBuiltin | bool | 1 = This row populated and maintained by SuperOffice |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
| _Links | object |
Sample request
GET /api/v1/PreferenceDescriptionLine/{id}
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Sample response
HTTP/1.1 200 PreferenceDescriptionLine found.
Content-Type: application/json; charset=utf-8
{
"PrefDescLineId": 665,
"PrefDescId": 782,
"PrefValue": "non",
"PrefShowValue": "dolorum",
"Description": "Multi-tiered executive conglomeration",
"IsBuiltin": false,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 409
}
},
"_Links": {
"Self": "https://www.example.com/api/v1/project/321",
"Archive": "https://www.example.com/api/v1/project"
}
}